diff --git a/include/FLAC++/metadata.h b/include/FLAC++/metadata.h
index afa157e..4031eb6 100644
--- a/include/FLAC++/metadata.h
+++ b/include/FLAC++/metadata.h
@@ -241,8 +241,7 @@ namespace FLAC {
 		{ return (bool)::FLAC__metadata_object_is_equal(object_, object); }
 
 #ifdef _MSC_VER
-// @@@ how to re-enable?  the following doesn't work
-// #pragma warning ( enable : 4800 )
+#pragma warning ( default : 4800 )
 #endif
 
 		inline bool Prototype::operator!=(const Prototype &object) const
diff --git a/src/test_libFLAC++/encoders.cpp b/src/test_libFLAC++/encoders.cpp
index e484c94..6493940 100644
--- a/src/test_libFLAC++/encoders.cpp
+++ b/src/test_libFLAC++/encoders.cpp
@@ -35,6 +35,11 @@ extern "C" {
 #include <string.h>
 #include "share/compat.h"
 
+#ifdef _MSC_VER
+// warning C4800: 'int' : forcing to bool 'true' or 'false' (performance warning)
+#pragma warning ( disable : 4800 )
+#endif
+
 typedef enum {
 	LAYER_STREAM = 0, /* FLAC__stream_encoder_init_stream() without seeking */
 	LAYER_SEEKABLE_STREAM, /* FLAC__stream_encoder_init_stream() with seeking */
